Run a cron job
Queue an immediate run of a cron service without changing its schedule.
Request & response examples
Request example Server-side
curl --fail-with-body --request POST \ 'https://app.helicarrier.xyz/api/services/YOUR_ID/run' \ -H "Authorization: Bearer $HELI_API_KEY"const response = await fetch( "https://app.helicarrier.xyz/api/services/YOUR_ID/run", { method: "POST", headers: { Authorization: `Bearer ${process.env.HELI_API_KEY}` } });const data = await response.json();if (!response.ok) { throw new Error(`HTTP ${response.status}: ${data.error}`);}// Inspect data; avoid logging secret responses.import osimport requests
response = requests.request( "POST", "https://app.helicarrier.xyz/api/services/YOUR_ID/run", headers={ "Authorization": f"Bearer {os.environ['HELI_API_KEY']}" }, timeout=30,)response.raise_for_status()data = response.json()# Inspect data; avoid logging secret responses. Response example 202
{ "deploymentId": "dep_example"}Illustrative values · selected fields
Path parameters
id string required Cron service id.
Response 202
Returns 202 Accepted with a deploymentId. Inspect that deployment’s logs for the job result.
Examples show selected response fields with illustrative values. Your response can contain additional fields.
deploymentId string Identifier to use when reading deployment history or logs.
Errors
401 The API key is missing, invalid, or revoked.
403 The caller or key scope does not permit this operation.
409 The current resource state prevents the operation. Inspect it before retrying.
ALSO AVAILABLE VIA MCP
Connect your agent ↗ run_cron
Required MCP arguments: id. Send path, query,
and body fields together as tool arguments.